3GS, old Bootrom, BB 5.13.04

Discussion in 'Jailbreaks and iOS Hacks' started by acadiel, Jan 17, 2011.

  1. acadiel macrumors member

    Joined:
    Nov 6, 2007
    #1
    I'm having a little difficulty following jailbreaks lately, with both Pwnagetool and redsn0w in the loop, now along with all the different basebands (replacing with iPad baseband, etc.)

    Bottom line: I have a iPhone with JB 4.1 (from Pwnagetool) on my 3GS with the old boot rom and 5.13.04. The thing is buggy as all get out, and apps crash quite often. The only JB apps I have on it are MyWi and My3G.

    Now... I'm seeing conflicting info about:

    1) If I have BB 5.13.04, can I keep it and update to 4.2.1?
    2) Do I want to use Pwnagetool 4.1.2 or 4.1.3, or do I want to use redsn0w and hack it to where it doesn't update the baseband?
    3) Are none of the above correct, and I'm completely misreading everything?

    Thanks for the advice all... I appreciate it! :)
     
  2. Twowildman21 macrumors member

    Joined:
    Jan 14, 2008
    #2
    I am in the same boat as you my friend, I can never get a straight answer about this, I know to drop the pwnage tool bundle into pwnage tool, but after that I am lost as what to do once starting up pwnage tool.
     
  3. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #3
    You need PwnageTool 4.1.3. You also need to download the 3GS bundles that the Dev Team made for the old bootrom 3GS.

    Don't pay attention to the iPad baseband, since you already have an unlockable one.
     
  4. Twowildman21 macrumors member

    Joined:
    Jan 14, 2008
    #4
    Okay, so far, I imported the 3gs bundle into Pwnage Tool, and then created a custom ipsw for 4.2.1. Now I put the 3gs in DFU restore to the custom firmware then use redsn0w to jailbreak and then unlock with ultrasn0w keeping my 5.13.04.

    Is there specific version of redsn0w I need to install?

    Thanks!
     
  5. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #5
    0.9.6b5. Also you'll need an official 3GS 4.2.1 to use with Redsn0w.
     
  6. SavMBP15 macrumors 6502

    Joined:
    Mar 26, 2010
    #6
    If you create a custome IPSW from Pwnage, just put the phone into DFU per those instructions and then do a Option-Restore from within iTunes. I never actually jailbreak with redsn0w. Granted that is a 3G phone.
     

Share This Page